def make_simplified_withdraw(balance):
    def withdraw(amount):
        nonlocal balance
        balance = balance - amount
        return balance
    return withdraw
W = make_simplified_withdraw(25)
print(W(20))
print(W(10))

# expected: -5
